package com.wms_main.service.controller;

import com.wms_main.model.dto.query.OrderInQuery;
import com.wms_main.model.dto.request.wms.OrderInRequest;
import com.wms_main.model.dto.request.wms.OrderOutRequest;
import com.wms_main.model.dto.response.wms.BaseWmsApiResponse;
import com.wms_main.model.po.TAppOrderIn;

import java.util.List;

public interface IOrderControllerService {
    BaseWmsApiResponse addOrderIn(OrderInRequest request);

    BaseWmsApiResponse addOrderOut(OrderOutRequest request);

    List<TAppOrderIn> getOrderIns(OrderInQuery query);

    BaseWmsApiResponse updateOrderIn(String recordId, String orderStatus);

    BaseWmsApiResponse deleteOrderIn(String recordId);
}
